

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.23. time_classify_day &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.15.24. time_classify_day_of_week" href="time_classify_day_of_week.html" />
    <link rel="prev" title="7.15.22. sub_filter" href="sub_filter.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/functions/time_classify_day.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="time_classify_day_of_week.html" title="7.15.24. time_classify_day_of_week"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="sub_filter.html" title="7.15.22. sub_filter"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.23. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="time-classify-day">
<h1><span class="section-number">7.15.23. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code><a class="headerlink" href="#time-classify-day" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.23.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 6.0.3 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code> は時刻を日単位に丸めます。</p>
<p>これは、<code class="docutils literal notranslate"><span class="pre">2020-01-30</span> <span class="pre">11:50:11.000000</span></code> や <code class="docutils literal notranslate"><span class="pre">2020-01-30</span> <span class="pre">22:50:11.000000</span></code> を <code class="docutils literal notranslate"><span class="pre">2020-01-30</span> <span class="pre">00:00:00.000000</span></code> に丸めます。</p>
<p>この関数を有効にするには、以下のコマンドで <code class="docutils literal notranslate"><span class="pre">functions/time</span></code> プラグインを登録します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/time
</pre></div>
</div>
</div>
<div class="section" id="syntax">
<span id="time-classify-day-syntax"></span><h2><span class="section-number">7.15.23.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>この関数の引数は1つです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>time_classify_day(time)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.23.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>使い方を示すために使うスキーマ定義とサンプルデータは以下の通りです。</p>
<p>まず <code class="docutils literal notranslate"><span class="pre">functions/time</span></code> プラグインを登録します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>使い方を示すために使うスキーマ定義とサンプルデータは以下の通りです。</p>
<p>サンプルスキーマ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Sales TABLE_NO_KEY
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Sales name COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Sales price COLUMN_SCALAR UInt32
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Sales timestamp COLUMN_SCALAR Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>サンプルデータ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Sales
[
{&quot;name&quot;: &quot;Apple&quot; , &quot;price&quot;: &quot;256&quot;, &quot;timestamp&quot;: &quot;2020-05-01 11:50:11.000000&quot;},
{&quot;name&quot;: &quot;Apple&quot; , &quot;price&quot;: &quot;256&quot;, &quot;timestamp&quot;: &quot;2020-05-01 10:20:00.000000&quot;},
{&quot;name&quot;: &quot;Orange&quot;, &quot;price&quot;: &quot;122&quot;, &quot;timestamp&quot;: &quot;2020-05-01 11:44:12.000001&quot;},
{&quot;name&quot;: &quot;Apple&quot; , &quot;price&quot;: &quot;256&quot;, &quot;timestamp&quot;: &quot;2020-05-01 19:50:23.000020&quot;},
{&quot;name&quot;: &quot;Banana&quot;, &quot;price&quot;: &quot;88&quot; , &quot;timestamp&quot;: &quot;2020-05-01 11:00:02.000000&quot;},
{&quot;name&quot;: &quot;Banana&quot;, &quot;price&quot;: &quot;88&quot; , &quot;timestamp&quot;: &quot;2020-05-01 21:34:12.000001&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 6]
</pre></div>
</div>
<p>以下は簡単な <code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code> の使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select \
  --table Sales \
  --output_columns &#39;name, time_classify_day(timestamp)&#39;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         6
#       ],
#       [
#         [
#           &quot;name&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;time_classify_day&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;Apple&quot;,
#         1588258800.0
#       ],
#       [
#         &quot;Apple&quot;,
#         1588258800.0
#       ],
#       [
#         &quot;Orange&quot;,
#         1588258800.0
#       ],
#       [
#         &quot;Apple&quot;,
#         1588258800.0
#       ],
#       [
#         &quot;Banana&quot;,
#         1588258800.0
#       ],
#       [
#         &quot;Banana&quot;,
#         1588258800.0
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.15.23.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.15.23.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数は1つです。</p>
<div class="section" id="column">
<h4><span class="section-number">7.15.23.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">column</span></code><a class="headerlink" href="#column" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>対象のカラムを指定します。</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.23.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>日単位に丸めた時刻を返します。</p>
<p>戻り値はUNIX時間です。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.23. <code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.23.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.15.23.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.15.23.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.15.23.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.15.23.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#column">7.15.23.4.1.1. <code class="docutils literal notranslate"><span class="pre">column</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.15.23.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="sub_filter.html"
                        title="前の章へ"><span class="section-number">7.15.22. </span><code class="docutils literal notranslate"><span class="pre">sub_filter</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="time_classify_day_of_week.html"
                        title="次の章へ"><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="time_classify_day_of_week.html" title="7.15.24. time_classify_day_of_week"
             >次へ</a> |</li>
        <li class="right" >
          <a href="sub_filter.html" title="7.15.22. sub_filter"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.23. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>